function [s_e, mErr,stdErr] = quantErrMeasured(gain)
    %Measures the mean and stddev quantization error for Poisson signal
    %in first maxe e-. Gain is in DN/e-
    maxe = 64;
    siz = 200;                      %square image side in px
    s_e(1) = 0.1;                   %e-, mean signal start
    i = 1;
    while s_e(i) <= maxe            %e-, mean signal end
        img_e(:,:,i) = poissrnd(s_e(i),siz,siz);  %e- image
        m_e(i) = mean2(img_e(:,:,i));             %e- mean measured signal
        std_e(i) = std2(img_e(:,:,i));            %e- measured stdev
        snr_e(i) = m_e(i)/std_e(i);               %irrelevant units
        img_DN(:,:,i) = int16(img_e(:,:,i) * gain); %DN, quantized raw image
        %histogram(img(:,:,i),'BinMethod','Integers');  %get raw histogram data
        m_DN(i) = mean2(img_DN(:,:,i));           %DN
        std_DN(i) = std2(img_DN(:,:,i));          %DN
        snr_DN(i) = m_DN(i)/std_DN(i);            %irrelevant units
        s_e(i+1) = s_e(i) * 2^(1/10);              %e-, 4 measurements per stop
        i = i + 1;
    end
    s_e = s_e(1:end-1);             %e-, one too many s_e in loop above
    stdErr = std_DN./(std_e*gain);  %error in signal standard dev
    mErr = m_DN./(m_e*gain);        %error in mean
end