%Runs the simulation in the relative figure
%gain needs to be 1 or less
gain = 0.125;                                         %DN/e-
[sMeas, mMeas, stdMeas] = quantErrMeasured(gain);    %measure
[sMod, mMod, stdMod] = quantErrModeled(gain);        %model
%plot Stuff
plot(log2(sMeas), mMeas,'.b')
hold on
plot(log2(sMod), mMod)
plot(log2(sMeas), stdMeas,'.r')
plot(log2(sMod), stdMod)
axis([-2 6 0 2.5])
xt = get(gca, 'XTick');
set (gca, 'XTickLabel', sprintf('%3.1f\n',2.^xt));
grid on
xlabel('Signal e-')
ylabel('Error: Ratio of Quantized to Actual')
legend('Mean Measured','Mean Modeled','StDev Measured','StDev Modeled')
title(['Quantizing Error Model, Poisson Signal Only, 1 LSB = ' num2str(1/gain,2) ' e-'])
hold off